Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::action::join_fn Struct Reference

## Synopsis of methods
constexpr action< join_fn > | join {}

## Public Types
template<typename Rng >
using | Joinable = concepts::models< Joinable_, Rng >

## Public Member Functions
template<typename Rng , requires = (Joinable<Rng>())>
join_value_t< Rng > | operator() (Rng &&rng) const